## org.eclipse.jetty.webapp
Class Descriptor

    java.lang.Object
      org.eclipse.jetty.webapp.Descriptor

Direct Known Subclasses:
  TagLibConfiguration.TldDescriptor, WebDescriptor

    public abstract class Descriptor

extends Object

Field Summary
`protected XmlParser` `_parser`
`protected XmlParser.Node` `_root`
`protected boolean` `_validating`
`protected Resource` `_xml`

Constructor Summary
`Descriptor(Resource xml)`

Method Summary
`abstract void` `ensureParser()`
`Resource` `getResource()`
`XmlParser.Node` `getRoot()`
`abstract XmlParser` `newParser()`
`void` `parse()`
`protected void` `redirect(XmlParser parser, String resource, URL source)`
`void` `setValidating(boolean validating)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _xml

    protected Resource _xml

### _root

    protected XmlParser.Node _root

### _parser

    protected XmlParser _parser

### _validating

    protected boolean _validating

Constructor Detail

### Descriptor

    public Descriptor(Resource xml)

Method Detail

### newParser

    public abstract XmlParser newParser()
                                 throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### ensureParser

    public abstract void ensureParser()
                               throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### redirect

    protected void redirect(XmlParser parser,
                            String resource,
                            URL source)

### setValidating

    public void setValidating(boolean validating)

### parse

    public void parse()
               throws Exception

  Throws:
    `Exception`

### getResource

    public Resource getResource()

### getRoot

    public XmlParser.Node getRoot()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.